import java.io.*;
import java.awt.*;
import java.awt.Graphics;
//import java.applet.*;
import java.applet.Applet;



public class Main extends Applet
{
	//----------------------------------
	// applet methods

	public void init() {
		System.out.println("Main - init()");

		// add something .. so something is visible in applet ..
		add(new Button("a button in the applet"));
	}
	public void start() {
		System.out.println("Main - start()");
		try {
			int	numseconds = 1;

			System.out.println("Main: about to do Audio.SoundBite()");

			Audio.SoundBite s1 = new Audio.SoundBite(
						true,
						true,
						Audio.SampleRate.R_11025,
						numseconds * Audio.SampleRate.R_11025.toInt());
			System.out.println("Main: done Audio.SoundBite()");

			System.out.println("Main: recordStart()");
			s1.recordStart();
			System.out.println("Main: done recordStart()");

			System.out.println("Main: recordWaitForGet()");
			s1.recordWaitForGet();
			System.out.println("Main: done recordWaitForGet()");

			System.out.println("Main: playStart()");
			s1.playStart();
			s1.playWaitFor();
			System.out.println("Main: done playWaitFor()");

/*
			// seems to have save something to Netscape/Communicator/Program
			//s1.save("c:\\savesomething.wav");


			// problem giving relative path .. file load/save problem ..
			// giving absolute path ..
			//System.out.println("Main: loading chimes.wav");
			Audio.SoundBite	s0 = new Audio.SoundBite("c:\\chimes.wav");
			System.out.println("Main: playing chimes.wav");
			// hear clicks .. doesn't seem to load ..
			s0.playStart();
			s0.playWaitFor();
			// check where this saves ..
			//s0.save("c:\\bullshit.wav");
			System.out.println("Main: done playing chimes.wav");
*/

			//s1.dispose();
		} catch (Audio.SoundBiteException e) {
			System.err.println("Main - start() exception: " + e.getMessage());
			e.printStackTrace();
			System.exit(-1);
		}
	}
	public void stop() {
		System.out.println("Main - stop()");
	}
	public void destroy() {
		System.out.println("Main - destroy()");
	}
	//----------------------------------
}

